## Class Swift_CharacterReader_UsAsciiReader

(line 19)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/CharacterReader/UsAsciiReader.php

##### Analyzes US-ASCII characters.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
void getCharPositions (string $string, int $startOffset, &$currentMap, &$ignoredChars, string $ignoredChars)
int getInitialByteSize ()
void getMapType ()
int validateByteSequence (string $bytes, $size)

#### Method getCharPositions (line 29)

#### void getCharPositions( string $string, int $startOffset, &$currentMap, &$ignoredChars, string $ignoredChars)

Implementation of:

Swift_CharacterReader::getCharPositions()
  Returns the complete charactermap

##### Returns the complete charactermap

#### Parameters

- string $string:
- int $startOffset:
- string $ignoredChars:
- &$currentMap:
- &$ignoredChars:

#### Info

- access - public

#### Method getInitialByteSize (line 78)

#### int getInitialByteSize( )

Implementation of:

Swift_CharacterReader::getInitialByteSize()
  Returns the number of bytes which should be read to start each character.

##### Returns the number of bytes which should be read to start each character.

#### Info

- access - public

#### Method getMapType (line 47)

#### void getMapType( )

Implementation of:

Swift_CharacterReader::getMapType()
  Returns mapType

##### Returns mapType

#### Info

- access - public

#### Method validateByteSequence (line 61)

#### int validateByteSequence( string $bytes, $size)

Implementation of:

Swift_CharacterReader::validateByteSequence()
  Returns an integer which specifies how many more bytes to read.

##### Returns an integer which specifies how many more bytes to read.

A positive integer indicates the number of more bytes to fetch before invoking this method again. A value of zero means this is already a valid character. A value of -1 means this cannot possibly be a valid character.

#### Parameters

- string $bytes:
- $size:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:31 +0000 by phpDocumentor 1.4.3